commit:     c178f4a3d8531cd790f067b3f25cd2913275b698
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Thu Mar  2 07:01:27 2017 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Thu Mar  2 07:01:27 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c178f4a3

dev-ruby/activerecord: add rails 5.0.2

Package-Manager: Portage-2.3.3, Repoman-2.3.1

 dev-ruby/activerecord/Manifest                  |  1 +
 dev-ruby/activerecord/activerecord-5.0.2.ebuild | 79 +++++++++++++++++++++++++
 2 files changed, 80 insertions(+)

diff --git a/dev-ruby/activerecord/Manifest b/dev-ruby/activerecord/Manifest
index c66c1cd6134..35f2351e2d4 100644
--- a/dev-ruby/activerecord/Manifest
+++ b/dev-ruby/activerecord/Manifest
@@ -2,3 +2,4 @@ DIST rails-4.2.7.1.tgz 4181681 SHA256 
bfa7854f1b35e449b78db2af83fe660f17b101a487
 DIST rails-4.2.8.tgz 4077925 SHA256 
55e15e101fc4a466a8acafdd679509f6e25992d50ade2d98b098558c698a6320 SHA512 
a457ec7422b83f35e8d1ac26f1ef8fbaec985034c5804ce92334c45fa4e4b11a29acdcef2c009c36be2deb4724faeb91b99f76a665eeacd1bda9448db2299f89
 WHIRLPOOL 
ed46c71f527ba59f0ff4d00ae5881b46984500b4493b4c511b8037d94c76b40c0e531c635337b0795887e028aad5136048ba69b57e482489c3c049585f18f42f
 DIST rails-5.0.0.1.tgz 6139334 SHA256 
3cbbe71d80c2813dde0d2bfa61aea57c8e6a1a3b2a81e6b211dbf2f2a4be2add SHA512 
8e820f26543e8ad05b01a75e4e4df1adb229b5d90cfccd1b63d77a6ab25f232d24a875cd5630648e58c6598d741a3d35b2a76fd7e99a0f06971f84ee63ada56f
 WHIRLPOOL 
9aed4fab1c8ea06185de5320ed85d6d51ed0babf6143c3d70df352adea5721c3074bb80c351b395752b2d8c60f5fcb8982b086e507836b9867d6597f2d72df4c
 DIST rails-5.0.1.tgz 6026895 SHA256 
7ee54f0175a7738e7c169fa8dc2e4ee30ba8407768804aaa56a6889525315f4e SHA512 
d5c25b284b24399f81a5a8aec9c4b581d2caeff6d1f73b71dab2a50b8f55b4a86c1d723f0bae9b40bdb3d949e3d5eb65b7522bf9ca316676cafdd2cf648abb33
 WHIRLPOOL 
142190cc4f8edafdc39cdbab2586127815e145f4d4fa5a89f3c9b2377e70bc29f6d410359c0498fe1c83c8f811b64884ae0d7e06b20d8ffb5ec44c6b66cde49b
+DIST rails-5.0.2.tgz 6034813 SHA256 
4ca4ab89c06776f959edde03833f83be05002db5a1028e9276d45db6a2358cd4 SHA512 
bb82bd33e47b875f3a9bc6d833492b89fbf86afff27049f1f8710a406452dee1cb5b287b0e19d6b2f45ee59181b28425916746d1b6ef835029944aff4bcf255b
 WHIRLPOOL 
1e4bda983d10aace2b49df133b76f8fdd9246ce071b09dd00a6aa72c2f2a4fb758214427520170ca6f819ac602199087bf993debd6275e5b23184b5e7f46bff7

diff --git a/dev-ruby/activerecord/activerecord-5.0.2.ebuild 
b/dev-ruby/activerecord/activerecord-5.0.2.ebuild
new file mode 100644
index 00000000000..18a3950a40b
--- /dev/null
+++ b/dev-ruby/activerecord/activerecord-5.0.2.ebuild
@@ -0,0 +1,79 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+USE_RUBY="ruby22 ruby23"
+
+# this is not null so that the dependencies will actually be filled
+RUBY_FAKEGEM_TASK_TEST="test"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="activerecord.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem versionator
+
+DESCRIPTION="Implements the ActiveRecord pattern (Fowler, PoEAA) for ORM"
+HOMEPAGE="https://github.com/rails/rails/";
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> 
rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(get_version_component_range 1-2)"
+KEYWORDS="~amd64 ~arm ~ppc ~amd64-linux"
+IUSE="mysql postgres sqlite"
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "~dev-ruby/activesupport-${PV}
+       ~dev-ruby/activemodel-${PV}
+       dev-ruby/arel:7.0
+       sqlite? ( >=dev-ruby/sqlite3-1.3.6 )
+       mysql? ( || ( dev-ruby/mysql2:0.4 >=dev-ruby/mysql2-0.3.18:0.3 ) )
+       postgres? ( >=dev-ruby/pg-0.18.0 )"
+
+ruby_add_bdepend "
+       test? (
+               dev-ruby/bundler
+               ~dev-ruby/actionpack-${PV}
+               ~dev-ruby/actionmailer-${PV}
+               >=dev-ruby/sqlite3-1.3.6
+               dev-ruby/mocha:0.14
+               <dev-ruby/minitest-5.4:5
+       )"
+
+DEPEND+=" test? ( >=dev-db/sqlite-3.12.1 )"
+
+all_ruby_prepare() {
+       # Remove items from the common Gemfile that we don't need for this
+       # test run. This also requires handling some gemspecs.
+       rm ../Gemfile.lock || die
+       sed -i -e 
"/\(uglifier\|system_timer\|sdoc\|w3c_validators\|pg\|jquery-rails\|execjs\|'mysql'\|journey\|ruby-prof\|stackprof\|benchmark-ips\|kindlerb\|turbolinks\|coffee-rails\|debugger\|redcarpet\|minitest\|sprockets\|stackprof\)/
 s:^:#:" \
+               -e '/:job/,/end/ s:^:#:' \
+               -e '/group :doc/,/^end/ s:^:#:' ../Gemfile || die
+       sed -i -e '/rack-ssl/d' -e 's/~> 3.4/>= 3.4/' 
../railties/railties.gemspec || die
+       sed -i -e '/bcrypt/ s/3.0.0/3.0/' ../Gemfile || die
+
+       # Add back json in the Gemfile because we dropped some dependencies
+       # earlier that implicitly required it.
+       sed -i -e '$agem "json"' ../Gemfile || die
+
+       # Avoid test depending on mysql adapter which we don't support for
+       # this Rails version to simplify our dependencies.
+       rm test/cases/connection_specification/resolver_test.rb || die
+
+       # Avoid single test using mysql dependencies.
+       rm test/cases/invalid_connection_test.rb || die
+
+       # Avoid failing test that makes bad assumptions on database state.
+       sed -i -e '/test_do_not_call_callbacks_for_delete_all/,/^  end/ s:^:#:' 
\
+               test/cases/associations/has_many_associations_test.rb
+}
+
+each_ruby_test() {
+       if use sqlite; then
+               ${RUBY} -S rake test_sqlite3 || die "sqlite3 tests failed"
+       fi
+}

Reply via email to